Posted by rain
Photon

TeamViewer on Linux Mint Cinnamon 18.1 64bit

Preparing to unpack .../libfontconfig1_2.11.94-0ubuntu1.1_i386.deb ...
Unpacking libfontconfig1:i386 (2.11.94-0ubuntu1.1) ...
dpkg: error processing archive /var/cache/apt/archives/libfontconfig1_2.11.94-0ubuntu1.1_i386.deb (--unpack):
trying to overwrite shared '/usr/share/doc/libfontconfig1/changelog.Debian.gz', which is different from other instances of package libfontconfig1:i386
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe) 

However, it can be successfully installed if that file is removed prior to installation.

sudo rm /usr/share/doc/libfontconfig1/changelog.Debian.gz

 TeamViewer then is installing.

4 Replies
4 Replies
Posted by TeamViewer Staff
TeamViewer Staff

Re: TeamViewer on Linux Mint Cinnamon 18.1 64bit

Dear Rain,

Thank you for your post.

You're right, is the correct solution for your error message. It seems like you have a previous trace on your system that conflicts with the package dependencies installation.

It seems like you have a previous trace on your system that conflicts with the package dependencies installation.

It's not a common issue, and we are thankful for your contribution to the community.

If you have any other questions please don’t hesitate to contact us.

 

Best Regards,

Christian

Did my reply answer your question? Accept it as a solution to help others, Thanks.
Posted by mdw
Henagon

Re: TeamViewer on Linux Mint Cinnamon 18.1 64bit

When installing TeamViewer 12 on a colleague's notebook with Linux Mint Cinnamon 18.1 64 bit we faced the following issue.

First we downloaded the TeamViewer Ubuntu/Debian 64 bit package (https://download.teamviewer.com/download/teamviewer_i386.deb) and installed it with

$ sudo dpkg -i teamviewer_i386.deb

The installation finished correctly. Then we tried to start it with:

$ teamviewer
Init... CheckCPU: SSE2 support: yes XRandRWait: No value set. Using default. XRandRWait: Started by user. Checking setup... Launching TeamViewer ... Starting network process (no daemon) terminate called without an active exception /opt/teamviewer/tv_bin/script/tvw_exec: riga 40: 5167 Annullato "$TV_BIN_DIR/teamviewerd" -n -f Network process already started (or error) Launching TeamViewer GUI ...

Which did not work. So we tried:

$ sudo teamviewer --daemon start

systemctl start teamviewerd.service
Failed to start teamviewerd.service: Unit teamviewerd.service not found.
fail

Apparently the package did not set up the systemd link correctly. After creating it manually, TeamViewer 12 worked like a charm!

$ sudo ln -s /opt/teamviewer/tv_bin/script/teamviewerd.service /etc/systemd/system/teamviewerd.service

I guess that usually the package should be doing it, right?

Posted by TeamViewer Staff
TeamViewer Staff

Re: TeamViewer on Linux Mint Cinnamon 18.1 64bit

Dear mdw,

Yes, you're right the package should do that for you.

We are glad that you were able to figure out the issue.

If you have any other question don't hesitate to post.

 

Best. regards,

Christian

Did my reply answer your question? Accept it as a solution to help others, Thanks.
Posted by Pavan
Photon

Re: TeamViewer on Linux Mint Cinnamon 18.1 64bit

Hi there,

I followed the same procedure as above but got an error.. please see below and advise.

pramaswamy@Pavan ~/Downloads $  sudo ln -s /opt/teamviewer/tv_bin/script/teamviewerd.service /etc/systemd/system/teamviewerd.service
[sudo] password for pramaswamy:
pramaswamy@Pavan ~/Downloads $ sudo dpkg -i teamviewer_12.0.85001_i386.deb
Selecting previously unselected package teamviewer:i386.
(Reading database ... 195259 files and directories currently installed.)
Preparing to unpack teamviewer_12.0.85001_i386.deb ...
Unpacking teamviewer:i386 (12.0.85001) ...
dpkg: dependency problems prevent configuration of teamviewer:i386:
 teamviewer:i386 depends on libc6 (>= 2.11).
 teamviewer:i386 depends on libgcc1.
 teamviewer:i386 depends on libasound2.
 teamviewer:i386 depends on libdbus-1-3.
 teamviewer:i386 depends on libexpat1.
 teamviewer:i386 depends on libfontconfig1.
 teamviewer:i386 depends on libfreetype6.
 teamviewer:i386 depends on libjpeg62.
 teamviewer:i386 depends on libsm6.
 teamviewer:i386 depends on libxdamage1.
 teamviewer:i386 depends on libxext6.
 teamviewer:i386 depends on libxfixes3.
 teamviewer:i386 depends on libxinerama1.
 teamviewer:i386 depends on libxrandr2.
 teamviewer:i386 depends on libxrender1.
 teamviewer:i386 depends on libxtst6.
 teamviewer:i386 depends on zlib1g.

dpkg: error processing package teamviewer:i386 (--install):
 dependency problems - leaving unconfigured
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for desktop-file-utils (0.22+linuxmint1) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Errors were encountered while processing:
 teamviewer:i386